#include <SPI.h>
#include <Wire.h>
#include <Adafruit_GFX.h>
#include <Adafruit_SSD1306.h>   
#include "I2Cdev.h"     
#include "MPU6050.h"   

#define SCREEN_WIDTH 128 // OLED display width, in pixels
#define SCREEN_HEIGHT 32 // OLED display height, in pixels

// Declaration for an SSD1306 display connected to I2C (SDA, SCL pins)
// The pins for I2C are defined by the Wire-library. 
// On an arduino UNO:       A4(SDA), A5(SCL)
// On an arduino MEGA 2560: 20(SDA), 21(SCL)
// On an arduino LEONARDO:   2(SDA),  3(SCL), ...
#define OLED_RESET     -1 // Reset pin # (or -1 if sharing Arduino reset pin)
#define SCREEN_ADDRESS 0x3C ///< See datasheet for Address; 0x3D for 128x64, 0x3C for 128x32
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, OLED_RESET);

MPU6050 mpu;
int16_t ax, ay, az;
int16_t gx, gy, gz;
struct MyData {
  byte X;
  byte Y;
  byte Z;
};

int Vibration_signal = 8;
int Sensor_State = 1; 
int Shakes;
bool Loop = true;
MyData data;

void setup() {
    Wire.begin();
  mpu.initialize();
  pinMode(Vibration_signal, INPUT);
  Serial.begin(9600);

  // SSD1306_SWITCHCAPVCC = generate display voltage from 3.3V internally
  if(!display.begin(SSD1306_SWITCHCAPVCC, SCREEN_ADDRESS)) {
    Serial.println(F("SSD1306 allocation failed"));
    for(;;); // Don't proceed, loop forever
  }

  // Show initial display buffer contents on the screen --
  // the library initializes this with an Adafruit splash screen.
  display.display();
  delay(2000); // Pause for 2 seconds
  // Clear the buffer
  display.clearDisplay();
  //printText();
  jijMelk();
  //delay(3000);
  SchuddenMaar();
  //delay(5000);
  jijRoom();
  delay(5000);
  SchuddenMaar();
  //delay(3000);
  jijBoter();
  //delay(5000);
  UpsideMaar();
  jijKaas();
}

void loop(){


   Sensor_State = digitalRead(Vibration_signal);
  if (Sensor_State == 1 ){
  }
  }



void jijMelk(){
  Sensor_State = digitalRead(Vibration_signal);
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  while(Sensor_State == 0|| data.Y < 200){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  Sensor_State = digitalRead(Vibration_signal);
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(35,5);
  display.print("jij hebt nu");
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(45,15);
  display.print("MELK");
  display.display();
  
  }
}

void jijRoom(){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  Sensor_State = digitalRead(Vibration_signal);
  while(Sensor_State == 0|| data.Y < 200){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  Sensor_State = digitalRead(Vibration_signal);
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(35,5);
  display.print("jij hebt nu");
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(45,15);
  display.print("ROOM");
  display.display();
  }
}

void jijBoter(){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  Sensor_State = digitalRead(Vibration_signal);
  
  while(Sensor_State == 0|| data.Y < 200){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  Sensor_State = digitalRead(Vibration_signal);
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(35,5);
  display.print("jij hebt nu");
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(40,15);
  display.print("BOTER");
  display.display();
  //delay(3000);
}}

void jijKaas(){
  display.clearDisplay();
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(35,5);
  display.print("jij hebt nu");
  display.setTextSize(2);
  display.setTextColor(WHITE);
  display.setCursor(45,15);
  display.print("KAAS!");
  display.display();
  //delay(3000);
}

void SchuddenMaar(){
  display.clearDisplay();
  Shakes = 0;
  while(Shakes < 20){
    Sensor_State = digitalRead(Vibration_signal);
    if (Sensor_State == 1 ){
      display.clearDisplay();
    Shakes++;
    delay(200);
  }
  display.setTextSize(1.5);
  display.setTextColor(WHITE);
  display.setCursor(30,15);
  display.print("Schudden maar!");
  display.display();
  }
  }

  void UpsideMaar(){
  display.clearDisplay();
  Shakes = 0;
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  while(data.Y < 200 || Shakes < 20){
  mpu.getMotion6(&ax, &ay, &az, &gx, &gy, &gz);
  data.Y = map(ay, -17000, 17000, 0, 255); 
  delay(100);
  Serial.print("Axis Y = ");
  Serial.print(data.Y);

    Sensor_State = digitalRead(Vibration_signal);
    if (Sensor_State == 1 ){
    display.clearDisplay();
    Shakes++;
    delay(200);
  }
  display.setTextSize(1);
  display.setTextColor(WHITE);
  display.setCursor(33,15);
  display.print("Schud mij");
  display.setCursor(30,23);
  display.print("ondersteboven!");
  display.display();

  

  }
  }



  